Bug 757257 - after selecting a user image (avatar), can't go back to no user image
after selecting a user image (avatar), can't go back to no user image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: accountsservice (Show other bugs)
15
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-25 20:36 EST by Andre Robatino
Modified: 2012-08-07 15:58 EDT (History)
7 users (show)

See Also:
Fixed In Version: accountsservice-0.6.15-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:58:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2011-11-25 20:36:40 EST
Description of problem:
If one uses gnome-control-center to select a user image, then tries to go back to the default setting (no image), it's impossible. There is an icon in the lower right of the 5x5 grid which looks like the default icon and that you should be able to select it, but it doesn't work. If you try, you get the error

[andre@compaq-pc ~]$ gnome-control-center 

(gnome-control-center:30448): user-accounts-cc-panel-WARNING **: SetIconFile call failed: failed to remove user icon, Error removing file: No such file or directory

at the instant you do so. This is apparently because the other 24 images are each located in /usr/share/pixmaps/faces/ , but there is no image corresponding to the default. This has been broken at least as far back as F14. There, if you run gnome-about-me, when selecting image, there is a "No Image" button that doesn't work.

Version-Release number of selected component (if applicable):
control-center-3.2.2-1.fc16 (checked both 32 and 64 bit)

How reproducible:
always

Additional info:
Selecting a user image is currently the only known workaround for bug 739271. It's frustrating that it can't be undone even when that bug gets fixed. It would be nice to at least know how to manually (via terminal) undo this.
Comment 1 Andre Robatino 2011-11-29 21:13:36 EST
There is now a proposed fix for bug 739271. Unfortunately, due to this bug, I won't be able to test it.
Comment 2 Volker Sobek 2011-11-29 23:01:02 EST
I filed an upstream bug, though I'm not sure if it's really gnome-control-center's fault:

https://bugzilla.gnome.org/show_bug.cgi?id=665173
Comment 3 Fedora Update System 2011-11-29 23:30:57 EST
accountsservice-0.6.15-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/accountsservice-0.6.15-2.fc16
Comment 4 Andre Robatino 2011-11-29 23:43:34 EST
I don't have any of the accountservice* packages installed currently. Presumably there needs to be a dependency to drag it in?
Comment 5 Andre Robatino 2011-11-29 23:48:21 EST
Never mind, it's accountsservice, not accountservice. Sorry for the noise.
Comment 6 Fedora Update System 2011-12-02 16:29:49 EST
Package accountsservice-0.6.15-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing accountsservice-0.6.15-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16639/accountsservice-0.6.15-2.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-12-12 17:01:59 EST
accountsservice-0.6.15-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Andre Robatino 2011-12-12 19:19:45 EST
Please fix for F15 as well.
Comment 9 Fedora End Of Life 2012-08-07 15:58:19 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.